package de.dhbwstuttgart.syntaxtree.statement;

import de.dhbwstuttgart.syntaxtree.type.RefTypeOrTPHOrWildcardOrGeneric;
import org.antlr.v4.runtime.Token;


public abstract class Statement extends Expression
{
	/* zeigt an, dass eine StatementExpression als Statement benutzt wird
     */
    private boolean isStatement = false;
    
    public Statement(RefTypeOrTPHOrWildcardOrGeneric type, Token offset)
    {
        super(type, offset);
    }

    public void setStatement() {
    	isStatement=true;
    }
    
    public boolean getStatement() {
    	return isStatement;
    }
}